图片生成接口
curl --request POST \
--url https://geekai.co/api/v1/images/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "gpt-image-1",
"prompt": "画一只可爱的小猫",
"negative_prompt": "<string>",
"image": "<string>",
"strength": 0.5,
"size": "1024x1024",
"aspect_ratio": "1:1",
"n": 1,
"quality": "medium",
"style_preset": "3d-model",
"response_format": "url",
"output_format": "png",
"mask": "<string>",
"watermark": false,
"background": "auto",
"extra_body": {
"sequential_image_generation": "disabled",
"sequential_image_generation_options": {
"max_images": 15
},
"layer_decomposition": false
},
"async": false,
"retries": 0
}
'import requests
url = "https://geekai.co/api/v1/images/generations"
payload = {
"model": "gpt-image-1",
"prompt": "画一只可爱的小猫",
"negative_prompt": "<string>",
"image": "<string>",
"strength": 0.5,
"size": "1024x1024",
"aspect_ratio": "1:1",
"n": 1,
"quality": "medium",
"style_preset": "3d-model",
"response_format": "url",
"output_format": "png",
"mask": "<string>",
"watermark": False,
"background": "auto",
"extra_body": {
"sequential_image_generation": "disabled",
"sequential_image_generation_options": { "max_images": 15 },
"layer_decomposition": False
},
"async": False,
"retries": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'gpt-image-1',
prompt: '画一只可爱的小猫',
negative_prompt: '<string>',
image: '<string>',
strength: 0.5,
size: '1024x1024',
aspect_ratio: '1:1',
n: 1,
quality: 'medium',
style_preset: '3d-model',
response_format: 'url',
output_format: 'png',
mask: '<string>',
watermark: false,
background: 'auto',
extra_body: {
sequential_image_generation: 'disabled',
sequential_image_generation_options: {max_images: 15},
layer_decomposition: false
},
async: false,
retries: 0
})
};
fetch('https://geekai.co/api/v1/images/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created": 123,
"data": [
{
"url": "<string>",
"b64_json": "aSDinaTvuI8gbWludGxpZnk=",
"revised_prompt": "<string>"
}
],
"task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"task_status": "running"
}{
"code": "validation_error",
"message": "参数验证失败",
"details": {
"field": "错误描述"
}
}{
"code": "unauthorized",
"message": "Invalid API key or token"
}{
"code": "invalid_request",
"message": "请求参数不合法"
}{
"code": "invalid_request",
"message": "请求参数不合法"
}Image
Image Generation
POST
/
images
/
generations
图片生成接口
Note: For setting the image generation model name, refer to the System Supported Image Generation Models List, ```markdown
currently supported image generation models are
dall-e-3, cogview-3-flash (free), cogview-3-plus, and cogview-4. The request/response parameter structure is fully compatible with OpenAI. When switching models, you only need to modify the corresponding model name. If the model request/response parameters are inconsistent with OpenAI, GeekAI will automatically convert and align them at the underlying level.
The response data format is fully compatible with OpenAI.| Platform | Model | Supported Sizes |
|---|---|---|
| OpenAI | DALL·E 3 | 1024x1024, 1792x1024, 1024x1792 (default is 1024x1024) |
| Zhipu | CogView Series | 1024x1024, 768x1344, 864x1152, 1344x768, 1152x864, 1440x720, 720x1440 (default is 1024x1024) |
cURL Request Example
curl --location 'https://geekai.dev/api/v1/images/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: {YOUR_GEEKAI_API_KEY}' \
--data '{
"model":"dall-e-3",
"prompt":"Draw a cute kitten playing in the grass",
"size": "1024x1024",
"n":1
}'
Authorizations
bearerAuthapiKeyAuth
API认证token
Body
application/json
图片生成模型
Example:
"gpt-image-1"
文本提示
Example:
"画一只可爱的小猫"
反向提示词,用来描述不希望在画面中看到的内容,可以对画面进行限制
单张图片URL/Base64编码数据,仅支持图生图模型支持该配置
以图生图引用图片的影响强度,取值范围[0, 1],默认0.5
图片尺寸,不同模型设置不同,详见模型尺寸表
图片宽高比,不同模型设置不同,详见模型尺寸表
图片数量,默认为1
图片质量,可灵AI支持 std、pro 两个配置,OpenAI/智谱清言支持 standard、hd 两个配置,GPT Image支持 auto/low/medium/high 四个配置项
风格预设,目前仅 stable image 支持该配置
Example:
"3d-model"
图片响应格式,支持 url/b64_json 两种格式,默认为url
Available options:
url, b64_json 图片输出格式,支持 png/jpg/webp 三种格式,默认为png
Available options:
png, jpg, webp 图片遮罩,支持图片URL/Base64编码数据
是否添加AI生成水印,默认为false,仅部分模型支持
背景透明度,目前仅 gpt-image-1 支持该配置
Available options:
transparent, opaque, auto 额外参数配置项,以适配不同画图模型的多样化配置
Show child attributes
Show child attributes
是否异步生成,默认false,即同步等待图片生成成功后返回生成结果,如果异步需要通过调用图片获取接口获取生成结果
自动重试次数,默认0,表示失败不重试
Was this page helpful?
